> For the complete documentation index, see [llms.txt](https://docs.linuxgsm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.linuxgsm.com/alerts/ifttt.md).

# IFTTT

![](https://1934041264-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-LJf1_IiU2L1vVxT7iNe%2F-LL63Ooy0L0nq_wnWyiR%2F-LL63UGBRbbx3GqhkY51%2Fifttt_logo%5B1%5D.png?alt=media\&token=f948b5bc-e06a-4db2-8b59-766e0707b22f)

There are hundreds in integrations available on [IFTTT](https://ifttt.com) allowing you to send alerts in all sorts of different ways to various services and devices. This functionality is used to allow users to recieve alerts about LinuxGSM.

## Setup IFTTT Webhook

To enable IFTTT you will need to setup a Webhooks integration.

1. Visit <https://ifttt.com/maker_webhooks>
2. Login and connect the Webhooks integration
3. Select `Documentation` to get your IFTTT API key.
4. Paste the API key into [LinuxGSM settings](/configuration/linuxgsm-config.md).

```
# IFTTT Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/IFTTT
iftttalert="off"
ifttttoken="e-Yg8blVGDA15ewWvtZjUe"
iftttevent=""
```

## Create an IFTTT event name

An event name is a word used to trigger IFTTT event. This word is used when setting up an applet and can be any word you choose.

```
# IFTTT Alerts | https://github.com/GameServerManagers/LinuxGSM/wiki/IFTTT
iftttalert="off"
ifttttoken="e-Yg8blVGDA15ewWvtZjUe"
iftttevent="linuxgsm_alert"
```

## Values

IFTTT allows 3 different values to be sent using the webhook; `Value1`, `Value2` and `Value3`. LinuxGSM sends different data for each value as listed below.

* Value1: Sends the name of the server e.g `csgoserver`
* Value2: Sends an alert subject e.g `Alert - csgoserver - Test`
* Value3: Sends an alert summary message.

```
Testing LinuxGSM Alert. No action to be taken.
Game Squad
Server name LinuxGSM Server 1
Hostname ubuntu.example.com
Server IP 1.2.3.4:27015
```

## How to create an applet

1. Create a `New applet`
2. Select the `Webhooks` service
3. Choose `Receive a web request`
4. Enter your `Event Name` and click `Create Trigger`
5. Select an action service.
6. Give the applet a name and save.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.linuxgsm.com/alerts/ifttt.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
